/*------------------------
  Text
------------------------*/
.text-archive .text-archive-item {
  border-bottom: 0.1rem solid #000;
  padding: 0 1rem 0 0.5rem;
  opacity: 0;
  transform: translateY(30px);
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  width: 100%;
}
.text-archive .text-archive-item.active {
  opacity: 1;
  transform: translateY(0);
}
.text-archive .text-archive-item:hover {
  background-color: #F0EFEE;
}
.text-archive .text-archive-item a {
  display: flex;
  width: 100%;
  padding: 2rem 0;
}
.text-archive .text-archive-item a time {
  letter-spacing: 0.12em;
  width: 12rem;
}
.text-archive .text-archive-item a .post-title {
  letter-spacing: 0.1em;
  flex: 1;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  transition: all 0.3s;
  -webkit-transition: all 0.3s;
}

@media screen and (max-width: 768px) {
  .text-archive .text-archive-item {
    padding: 0;
  }
  .text-archive .text-archive-item a {
    flex-wrap: wrap;
    width: 100%;
    padding: 0.8rem 0;
    font-size: 1.3rem;
  }
  .text-archive .text-archive-item a time {
    letter-spacing: 0.12em;
    width: 100%;
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
  }
  .text-archive .text-archive-item a .post-title {
    width: 100%;
    flex: auto;
    -webkit-line-clamp: 2;
  }
}
/*------------------------
  Grid
------------------------*/
.grid-archive .row {
  margin: 0 -1.7rem -2.7rem;
}
.grid-archive .item {
  width: 50%;
  padding: 2.7rem 1.7rem;
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.5s ease, transform 1.5s ease;
}
.grid-archive .item.active {
  transform: translateY(0);
  opacity: 1;
}
.grid-archive .item a {
  display: block;
}
.grid-archive .item a:hover figure img {
  transform: scale(1.2);
}
.grid-archive .item figure {
  aspect-ratio: 329/223;
  border-radius: 0.4rem;
  overflow: hidden;
  margin-bottom: 1rem;
}
.grid-archive .item figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  transition: all 0.8s;
  -webkit-transition: all 0.8s;
}
.grid-archive .item h3 {
  font-size: 1.9rem;
  letter-spacing: 0.1rem;
  line-height: calc(1em + 1.2rem);
}
.grid-archive .item ul {
  margin-top: 0.3rem;
  margin-right: -2rem;
  display: flex;
  flex-wrap: wrap;
}
.grid-archive .item ul li {
  font-size: 1.6rem;
  font-weight: 700;
  color: #717171;
  letter-spacing: 0.03em;
  display: flex;
  align-items: center;
  padding-right: 2em;
}
.grid-archive .item ul li span {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  flex: 1;
}
.grid-archive .item ul li svg {
  width: 2rem;
  margin-right: 0.5rem;
  fill: #C9A25F;
}

@media screen and (max-width: 768px) {
  .grid-archive .row {
    margin: 0 0 -1.3rem;
  }
  .grid-archive .item {
    width: 100%;
    padding: 1.3rem 0;
  }
  .grid-archive .item figure {
    aspect-ratio: 326/188;
    border-radius: 0.2rem;
  }
  .grid-archive .item h3 {
    font-size: 1.5rem;
  }
  .grid-archive .item ul {
    margin-top: 0.4rem;
    margin-right: -1.4rem;
    line-height: 1.8;
  }
  .grid-archive .item ul li {
    font-size: 1.3rem;
    letter-spacing: 0.08em;
    padding-right: 1.4rem;
  }
  .grid-archive .item ul li svg {
    width: 1.5rem;
    margin-right: 0.3rem;
  }
}
/*------------------------
  Column
------------------------*/
.column-archive .item a {
  display: flex;
  align-items: flex-start;
  padding: 2.5rem 0;
}
.column-archive .item a:hover figure img {
  transform: scale(1.2);
}
.column-archive .item figure {
  aspect-ratio: 198/137;
  border-radius: 0.4rem;
  overflow: hidden;
  width: 28.7%;
}
.column-archive .item figure img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
  transition: all 0.8s;
  -webkit-transition: all 0.8s;
}
.column-archive .item .desc {
  flex: 1;
  padding-left: 3rem;
}
.column-archive .item .desc time, .column-archive .item .desc ul {
  color: #717171;
}
.column-archive .item .desc time {
  font-size: 1.2rem;
}
.column-archive .item .desc h3 {
  font-size: 2.1rem;
  margin: 0.8rem 0;
}
.column-archive .item .desc ul {
  font-size: 1.4rem;
  font-weight: 700;
}
.column-archive .item .desc ul li {
  margin: 0.2rem 0;
  display: flex;
  align-items: center;
}
.column-archive .item .desc ul li svg {
  width: 2rem;
  margin-right: 0.5rem;
  fill: #C9A25F;
}

@media screen and (max-width: 768px) {
  .column-archive .item {
    border-bottom: 0.1rem solid #242424;
  }
  .column-archive .item a {
    padding: 1.3rem 0 1.2rem;
  }
  .column-archive .item figure {
    aspect-ratio: 103/85;
    border-radius: 0;
    width: 31.7%;
  }
  .column-archive .item .desc {
    padding-left: 1.4rem;
  }
  .column-archive .item .desc time {
    font-size: 1.1rem;
  }
  .column-archive .item .desc h3 {
    font-size: 1.5rem;
    margin: 0.2rem 0 0.5rem;
  }
  .column-archive .item .desc ul {
    font-size: 1.1rem;
    line-height: 1.6;
  }
  .column-archive .item .desc ul li {
    margin: 0.5rem 0;
  }
  .column-archive .item .desc ul li svg {
    width: 1.5rem;
    margin-right: 0.3rem;
  }
}
/*------------------------
  Pagination
------------------------*/
.pagination {
  display: flex;
  justify-content: center;
  margin-top: 8rem;
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}
.pagination a, .pagination span {
  font-size: 1.6rem;
  border: 0.1rem solid #000;
  background-color: #FFF;
  width: 3.5rem;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0.6rem;
}
.pagination a:hover {
  background-color: #242424;
  color: #FFF;
}
.pagination a:hover svg {
  stroke: #FFF;
}
.pagination svg {
  width: 0.7rem;
  stroke: #242424;
  stroke-width: 1;
}

@media screen and (max-width: 768px) {
  .pagination {
    margin-top: 5rem;
  }
  .pagination a, .pagination span {
    font-size: 1.5rem;
    border-width: 0.2rem;
    letter-spacing: -0.06em;
  }
  .pagination svg {
    width: 0.5rem;
    stroke-width: 1.5;
  }
}